Package com.emc.documentum.rest.dfc.conversion

# Class LifecycleConverter

java.lang.Object
com.emc.documentum.rest.dfc.conversion.LifecycleConverter

All Implemented Interfaces:
  `com.emc.documentum.rest.common.QueryResultConverter<Lifecycle>`

public class LifecycleConverter extends Object implements com.emc.documentum.rest.common.QueryResultConverter<Lifecycle>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LifecycleConverter()`
  `LifecycleConverter(boolean fetchRelated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lifecycle`
  `convert(com.documentum.fc.client.IDfSession session, com.documentum.fc.client.IDfTypedObject dfobj)`
  `Lifecycle`
  `convert(com.documentum.fc.client.IDfSession session, com.documentum.fc.client.IDfTypedObject dfobj, com.documentum.fc.client.IDfTypedObject other, AttributeView attributeView)`
  `LifecycleState`
  `convert(com.documentum.fc.client.IDfTypedObject dfobj, int index)`
  `Class<Lifecycle>`
  `modelType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LifecycleConverter

    public LifecycleConverter()

  - ### LifecycleConverter

    public LifecycleConverter(boolean fetchRelated)

- ## Method Details

  - ### modelType

    public Class<Lifecycle> modelType()
    Specified by:
      `modelType` in interface `com.emc.documentum.rest.common.QueryResultConverter<Lifecycle>`

  - ### convert

    public Lifecycle convert(com.documentum.fc.client.IDfSession session, com.documentum.fc.client.IDfTypedObject dfobj, com.documentum.fc.client.IDfTypedObject other, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Specified by:
      `convert` in interface `com.emc.documentum.rest.common.QueryResultConverter<Lifecycle>`
    Throws:
      `com.documentum.fc.common.DfException`

  - ### convert

    public Lifecycle convert(com.documentum.fc.client.IDfSession session, com.documentum.fc.client.IDfTypedObject dfobj) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`

  - ### convert

    public LifecycleState convert(com.documentum.fc.client.IDfTypedObject dfobj, int index) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`